function F = vectorize(F)
%VECTORIZE Vectorize a symbolic expression.
%	VECTORIZE(F) inserts a '.' before any '^', '*' and '/' in F.

%	Copyright (c) 1993-95 by The MathWorks, Inc.
%	$Revision: 1.5 $  $Date: 1995/03/01 21:39:03 $

l = length(F);
for k = fliplr(find((F=='^') | (F=='*') | (F=='/')))
   F = [F(1:k-1) '.' F(k:l)];
   l = l+1;
end
